<?php
header('Cache-Control: no-cache');
header('Pragma: no-cache'); 
?>
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(cdgbar,dscart,pre001,cantidad,cob_iv) {
	parent.opener.document.formulario_lineas.cdgbar.value=cdgbar;
	parent.opener.document.formulario_lineas.dscart.value=dscart;
	parent.opener.document.formulario_lineas.preivi.value=pre001;
	parent.opener.document.formulario_lineas.cantidad.value=1.00;
	parent.opener.document.formulario.cob_iv.value=cob_iv;
	parent.opener.document.getElementById("cantidad").select();
	parent.window.close();



}

</script>
<? include ("../conectar.php"); 


//$cdgbar=$_POST["cdgbar"];
$dscart=strtoupper($_POST["dscart"]);
$cdgcli=$_POST["cdgcli"];

//$where="1=1";

 if ($cdgcli == 9999) {
	 
	 $tippre=2;
	   
	     } else {
		 
	
$query_precio="SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
		$rs_query_precio=mysql_query($query_precio);
		$tippre= mysql_result($rs_query_precio,0,"tippre");
	
		
		}

 ?>
	
	<?
	$consulta="SELECT * FROM web_1001  WHERE dscart like '%$dscart%' and estart = 1 and cdgbar != 0 and cdgbar != 1   ";
	$rs_tabla = mysql_query($consulta);
	$nrs=mysql_num_rows($rs_tabla);

?>
<div id="tituloForm2"  >
<form id="form1" name="form1">


<?

if ($tippre ==1) {

 if ($nrs>0) { ?>
<div  class="totalResultado"> 
	<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
		 <tr class="cabeceraTabla" >
			<td width="10%">CODIGO</td>
			<td width="50%"><div align="center" class="cabeceraTabla">
			  <p>ARTICULO</p>
		   </div></td>
		      <td width="10%"><div align="center" class="cabeceraTabla">
			  <p>EXISTENCIA</p>
		   </div></td>
			<td width="20%">PRECIO</td>
			<td width="10%"><span class="totalResultado"><span class="totalResultado">
		    <div align="center">
			</span></td>
		  </tr>
       
		<?php
			for ($i = 0; $i < mysql_num_rows($rs_tabla); $i++) {
				$cdgbar=mysql_result($rs_tabla,$i,"cdgbar");
				$dscart=mysql_result($rs_tabla,$i,"dscart");
				$precio=mysql_result($rs_tabla,$i,"pre002");
				$exiact=mysql_result($rs_tabla,$i,"exiact");
				$cob_iv=mysql_result($rs_tabla,$i,"cob_iv");
						 if ($cob_iv==1) { $pre001=$precio/1.13; } else {  $pre001=$precio; }
				 if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
						<tr class="<?php echo $fondolinea?>">
					<td>
        <div align="center"><?php echo $cdgbar;?></div></td>
					<td>
        <div align="left"><?php echo $dscart;?></div></td>
		<td>
        <div align="center"><?php echo $exiact;?></div></td>
		<td><div align="right"><? echo number_format($precio,2,".",",")?></div></td>
					<?php  $cantidad="";?>
                    
					<td align="center"><div align="center"><a href="javascript:pon_prefijo('<?php echo $cdgbar?>','<?php echo $dscart?>','<?php echo $pre001?>','<?php echo $cantidad?>','<?php echo $cob_iv?>')"><img src="../img/Redo_32x32-32.png" border="0" title="Seleccionar"></a></div></td>					
				</tr>
			<?php }
		?>
  </table>
		<? } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No existe articulo que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<? }  
					
					
					} else { 
					
					 if ($nrs>0) { ?>
<div  class="totalResultado"> 
		<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
		 <tr class="cabeceraTabla" >
			<td width="10%">CODIGO</td>
			<td width="50%"><div align="center" class="cabeceraTabla">
			  <p>ARTICULO</p>
		   </div></td>
		   <td width="10%"><div align="center" class="cabeceraTabla">
			  <p>EXISTENCIA</p>
		   </div></td>
			<td width="20%">PRECIO</td>
			<td width="10%"><span class="totalResultado"><span class="totalResultado">
		    <div align="center">
			</span></td>
		  </tr>
       
		<?php
			for ($i = 0; $i < mysql_num_rows($rs_tabla); $i++) {
				$cdgbar=mysql_result($rs_tabla,$i,"cdgbar");
				$dscart=mysql_result($rs_tabla,$i,"dscart");
				$precio=mysql_result($rs_tabla,$i,"pre001");
				$exiact=mysql_result($rs_tabla,$i,"exiact");
				$cob_iv=mysql_result($rs_tabla,$i,"cob_iv");
								 if ($cob_iv==1) { $pre001=$precio/1.13; } else {  $pre001=$precio; }
				 if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
						<tr class="<?php echo $fondolinea?>">
					<td>
        <div align="center"><?php echo $cdgbar;?></div></td>
					<td>
        <div align="left"><?php echo $dscart;?></div></td>
					<td><div align="center"><?php echo $exiact;?></div></td>
					<td><div align="right"><? echo number_format($precio,2,".",",")?></div></td>
					<?php  $cantidad="";?>
                    
					<td align="center"><div align="center"><a href="javascript:pon_prefijo('<?php echo $cdgbar?>','<?php echo $dscart?>','<?php echo $pre001?>','<?php echo $cantidad?>','<?php echo $cob_iv?>')"><img src="../img/Redo_32x32-32.png" border="0" title="Seleccionar"></a></div></td>					
				</tr>
			<?php }
		?>
  </table>
		<? } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No existe articulo que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<? }
					
					
					}?>	
<iframe id="frame_datos2" name="frame_datos2" width="0%" height="0" frameborder="0">
	<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
</iframe>
<input type="hidden" id="accion" name="accion">
</form>
</div>
</body>
</html>
